Associate User

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/user
API call form
Examples
List of examples
  • Associate user with resource
  • Associate dashboard with user
  • Share a connection with a user
  • Set dashboard variant as favorite for user
Description

Share a connection (account) with a user, so they can use it to create datasets.

Access rights of a connection live on a separate Shareable resource, so you associate the connection's shareable_id ( not its id ) using the Shareables role. You can retrieve the shareable_id as shown here .

The flags are cumulative, and determine the access level:

  • flagRead + flagUse : the user can use the connection to create datasets.

  • additionally flagModify : the user can also edit the connection's credentials.

  • additionally flagOwn : the user can also delete the connection and manage who it is shared with.

Note that you need to be an owner of the connection to share it, and that connections for google , mailchimp , salesforce , teamleader and zendesk cannot be shared.

Install
npm install @luzmo/nodejs-sdk